<?php

	

    /**
     * \ingroup PDb
     *
     * Abstract representation of a record set. Child classes are expected to extend this class
     * to provide database-specific handling of record sets
     */
	class PdbRecordSet 
	{
		
		var $_dbRes;
	
		function PdbRecordSet( $dbRes = null )
		{
			$this->_dbRes = $dbRes;
		}
		
		/**
		 * Returns a row from the resultset
		 *
		 * @return an associative array
		 */
		function FetchRow()
		{
			// to be implemented by chid classes
		}
		
		/**
		 * Returns the number of rows fetched in the last SELECT operation
		 *
		 * @return an integer
		 */
		function RecordCount()
		{
			
		}
		
		/**
		 * Alias for RecordCount()		 
		 *
		 * @see RecordCount
		 */
		function RowCount()
		{
		    return( $this->RecordCount());
		}		
	}
?>